%{!?php_inidir: %global php_inidir %{_sysconfdir}/php.d}

%global httpd_group apache
%global httpd_user apache

Name:           iRony
Version:        0.2.6
Release:	%mkrel 5
Summary:        DAV for Kolab Groupware

Group:          System/Servers
License:        AGPLv3+
URL:            http://kolab.org
Source0:        http://mirror.kolabsys.com/pub/releases/iRony-%{version}.tar.gz
Source1:        iRony.conf
Requires:       roundcubemail
Requires:       roundcubemail-plugins-kolab
Requires:       apache
BuildArch:      noarch


%description
iRony is the CardDAV, CalDAV and WebDAV storage access provider for the
Kolab Groupware solution.

%prep
%setup -q


%build

%install
mkdir -p \
    %{buildroot}/%{_webappconfdir} \
    %{buildroot}/%{_sysconfdir}/%{name} \
    %{buildroot}/%{_datadir}/%{name} \
    %{buildroot}/%{_localstatedir}/cache/%{name} \
    %{buildroot}/%{_localstatedir}/lib/%{name} \
    %{buildroot}/%{_logdir}/%{name}

install -pm 644 %{SOURCE1} %{buildroot}/%{_webappconfdir}/%{name}.conf

mkdir %{buildroot}/usr/share/%{name}/lib

cp -a public_html  %{buildroot}/usr/share/%{name}
cp -a lib/Kolab %{buildroot}/usr/share/%{name}/lib/

pushd %{buildroot}/%{_datadir}/%{name}

ln -s ../../..%{_localstatedir}/cache/%{name} temp
ln -s ../../..%{_localstatedir}/log/%{name} logs

mkdir config
pushd config
ln -s ../../../..%{_sysconfdir}/%{name}/dav.inc.php
ln -s ../../../..%{_sysconfdir}/roundcubemail/defaults.inc.php
ln -s ../../../..%{_sysconfdir}/roundcubemail/config.inc.php
popd

rm -rf lib/Roundcube
pushd lib/
ln -s ../../chwala/lib FileAPI
ln -s ../../roundcubemail/program/lib/Roundcube Roundcube
ln -s ../../roundcubemail/plugins plugins
popd

popd

install -pm 640 config/dav.inc.php.sample %{buildroot}/%{_sysconfdir}/%{name}/dav.inc.php

%post
if [ -f "/etc/php.d/apc.ini" ]; then
    if [ ! -z "`grep ^apc.enabled=1 /etc/php.d/apc.ini`" ]; then
        systemctl condrestart httpd
    fi
fi

%files
%doc README.md
%{_webappconfdir}/%{name}.conf
%attr(0750,root,%{httpd_group}) %dir %{_sysconfdir}/%{name}
%attr(0640,root,%{httpd_group}) %config(noreplace) %{_sysconfdir}/%{name}/dav.inc.php
%{_datadir}/%{name}
%attr(0770,%{httpd_user},%{httpd_group}) %{_localstatedir}/cache/%{name}
%attr(0770,%{httpd_user},%{httpd_group}) %{_localstatedir}/lib/%{name}
%attr(0770,%{httpd_user},%{httpd_group}) %{_localstatedir}/log/%{name}


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.2.6-5.mga6
+ Revision: 969052
- Mageia 6 Mass Rebuild

* Thu Jul 30 2015 blino <blino> 0.2.6-4.mga6
+ Revision: 859009
- fix apache config file location (was incorrectly in /etc/httpd/conf.d, and thus unused)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.6-3.mga5
+ Revision: 742862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.6-2.mga5
+ Revision: 680400
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 spuhler <spuhler> 0.2.6-1.mga5
+ Revision: 634419
- upgrade to ver. 0.2.6
- dropped iRony-0.2.4-2473-expect-list-of-spouses.patch
  * included in upstream

* Sat Mar 01 2014 spuhler <spuhler> 0.2.4-1.mga5
+ Revision: 598325
- imported package iRony

